Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Net::Domain

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Net::Domain

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR
- COPYRIGHT

# NAME

Net::Domain - Attempt to evaluate the current host's internet name and domain

# SYNOPSIS

        use Net::Domain qw(hostname hostfqdn hostdomain domainname);

# DESCRIPTION

Using various methods attempt to find the Fully Qualified Domain Name (FQDN) of the current host. From this determine the host-name and the host-domain.

Each of the functions will return undef if the FQDN cannot be determined.

- hostfqdn ()

  Identify and return the FQDN of the current host.

- domainname ()

  An alias for hostfqdn ().

- hostname ()

  Returns the smallest part of the FQDN which can be used to identify the host.

- hostdomain ()

  Returns the remainder of the FQDN after the hostname has been removed.

# AUTHOR

Graham Barr <gbarr@pobox.com>. Adapted from Sys::Hostname by David Sundstrom <sunds@asictest.sc.ti.com>

Steve Hay <shay@cpan.org> is now maintaining libnet as of version 1.22_02

# COPYRIGHT

Versions up to 2.21 Copyright (c) 1995-1998 Graham Barr. All rights reserved. Changes in Version 2.22 onwards Copyright (C) 2013-2014 Steve Hay. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself, i.e. under the terms of either the GNU General Public License or the Artistic License, as specified in the LICENCE file.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR
- COPYRIGHT